Bug 995966 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the file C:\nppdf32Log\debuglog.txt.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' acc...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7bff88c7b866e834c1382cb8487...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 01:16 EDT by vinesh teotia
Modified: 2013-08-14 08:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 08:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vinesh teotia 2013-08-12 01:16:31 EDT
Description of problem:
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the file C:\nppdf32Log\debuglog.txt.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that npviewer.bin should be allowed create access on the C:\nppdf32Log\debuglog.txt file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                C:\nppdf32Log\debuglog.txt [ file ]
Source                        npviewer.bin
Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.4.4-17.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   13
First Seen                    2013-08-06 00:47:17 IST
Last Seen                     2013-08-12 09:38:03 IST
Local ID                      b90cda6e-9949-4dfe-931d-03f650b4eae9

Raw Audit Messages
type=AVC msg=audit(1376280483.673:421): avc:  denied  { create } for  pid=1771 comm="npviewer.bin" name="C:\nppdf32Log\debuglog.txt" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1376280483.673:421): arch=i386 syscall=fstat per=8 success=no exit=EACCES a0=f771693a a1=441 a2=1b6 a3=9105388 items=0 ppid=1671 pid=1771 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=npviewer.bin exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: npviewer.bin,mozilla_plugin_t,user_home_dir_t,file,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport

Potential duplicate: bug 812566
Comment 1 Daniel Walsh 2013-08-14 08:13:42 EDT
If you are running with mozplugger you either need to remove this package or turn off the mozilla plugin confinement.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

Note You need to log in before you can comment on or make changes to this bug.